/*
Theme Name: Fresh Theme S01
Theme URI: https://freshdigital.co.th/web-design/
Template: hello-elementor
Author: Fresh Digital
Author URI: https://freshdigital.co.th/
Description: Theme for Fresh Theme S01
Version: 1.0.0.1668417399
Updated: 2025-09-215 08:32:39

*/
html,
body {
    overflow-x: hidden;
}

#head-sticky,
#head-sticky > div  {
    transition: all 0.3s ease-out;
}

#head-sticky.head-sticky-active {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    box-shadow: 0px 4px 11px 0px rgba(0, 0, 0, 0.24);
    background-color: var(--e-global-color-primary);
}

#head-sticky.head-sticky-active > div {
    padding: 0 !important;
}

#head-sticky .site-logo img {
    transition: all 0.2s ease;
}

#head-sticky.head-sticky-active .site-logo img {
    max-width: 80px !important;
}

.primary-color,
.primary-color * {
    color: var( --e-global-color-primary );
}

.secondary-color,
.secondary-color * {
    color: var( --e-global-color-secondary );
}

a.contact-detail {
    display: inline-block !important;
    color: inherit;
}

.menu-col-2 ul.elementor-nav-menu {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

a.btn.btn-banner {
    position: relative;
    display: inline-block;
    font-size: 18px;
    padding: 12px 30px;
    background-color: #3834319E;
    border: 1px solid #D6CF8E;
    border-radius: 30px;
    color: #fff;
    margin: 10px;
    transition: all 0.3s ease-in;
    overflow: hidden;
}

a.btn.btn-banner:before {
    content: "";
    position: absolute;
    left: 50%;
    top: 50%;
    width: 100px;
    height: 100px;
    border-radius: 100%;
    background-color: var( --e-global-color-secondary );
    -webkit-transform: translate(-50%, -50%) scale(0);
    -ms-transform: translate(-50%,-50%) scale(0);
    transform: translate(-50%, -50%) scale(0);
    -webkit-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    z-index: 0;
}

a.btn.btn-banner:hover:before {
    -webkit-transform: translate(-50%, -50%) scale(3);
    -ms-transform: translate(-50%,-50%) scale(3);
    transform: translate(-50%, -50%) scale(3);
}

a.btn.btn-banner > span  { 
    position: relative;
    z-index: 1;
}

.ti-widget > .ti-widget-container {
    display: flex !important;
    flex-direction: column;
}

.ti-widget .ti-header {
    order: 2;
}

.service-box .elementor-cta__content {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
}

.service-box .elementor-cta__content .elementor-cta__image,
.service-box .elementor-cta__content .elementor-cta__icon {
    width: 80px;
}

.service-box .elementor-cta__content .elementor-cta__title:after{
    position: absolute;
    right: 0;
    top: -17px;
    width: 60px;
    content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3C!--!Font Awesome Free 6.7.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2025 Fonticons, Inc.--%3E%3Cpath fill='%23f7c73238' d='M470.6 278.6c12.5-12.5 12.5-32.8 0-45.3l-160-160c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L402.7 256 265.4 393.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0l160-160zm-352 160l160-160c12.5-12.5 12.5-32.8 0-45.3l-160-160c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3L210.7 256 73.4 393.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0z'/%3E%3C/svg%3E");
}

.contact-form-tab .e-n-tabs-heading {
    border-bottom: 1px solid #D9D9D9;
}

.contact-form-tab .e-n-tabs[data-touch-mode="true"] .e-n-tabs-heading button {
    border-bottom: 1px solid #D9D9D9;
}

.contact-form-tab .e-n-tabs-heading button[aria-selected="true"] {
    border-bottom: 2px solid var( --e-global-color-secondary );
}

.portfolio-filter .e-filter .e-filter-item {
    position: relative;
}

.portfolio-filter .e-filter .e-filter-item:before {
    content: "";
    display: inline-block;
    width: 0;
    height: 4px;
    background-color: var(--e-global-color-secondary);
    position: absolute;
    left: 0;
    bottom: -1px;
    transition: all 0.2s ease-out;
}

.portfolio-filter .e-filter .e-filter-item[aria-pressed="true"]:before,
.portfolio-filter .e-filter .e-filter-item:hover:before {
    width: 100%;
}

.portfolio-filter .e-filter .e-filter-item[aria-pressed="true"] {
    font-weight: 700;
}

.portfolio-item  .elementor-post-info__terms-list {
    display: flex !important;
    flex-wrap: wrap;
    gap: 6px 3px;
}

.portfolio-item  .elementor-post-info__terms-list a {
    display: inline-block;
    font-size: 13px !important;
    border: 1px solid;
    padding: 5px 10px;
    line-height: 1.5;
    transition: all 0.3s ease-out;
}

.portfolio-item  .elementor-post-info__terms-list a:hover {
    background-color: var( --e-global-color-secondary );
    color: #fff;
}

.portfolio-item .portfolio-featured-img {
    position: relative;
    overflow: hidden;
}

.portfolio-item .portfolio-featured-img a {
    width: 100%;
}

.portfolio-item .portfolio-featured-img img {
    transition: all 0.3s ease-out;
}

.portfolio-item:hover .portfolio-featured-img img {
    transform: scale(1.15);
}

.single-portfolio #main-slider {
    margin-top: -120px;
}

.single-portfolio #main-slider img {
    height: 300px;
    object-fit: cover;
    object-position: center;
}

.single-portfolio #thumbnails-slider {
    max-width: 800px;
    margin: 30px auto 0;
}

.single-portfolio .accom-content strong {
    color: var(--e-global-color-primary);
}

.splide__arrows:not(.splide__arrows-top) .splide__arrow {
    background-color: #f2f2f2 !important;
    color: #000 !important;
    border-radius: 0 !important;
}

.splide__arrows:not(.splide__arrows-top) .splide__arrow--prev i:before {
    content: '\f060';
}

.splide__arrows:not(.splide__arrows-top) .splide__arrow--next i:before {
    content: '\f061';
}

.splide--fade>.splide__slider>.splide__track>.splide__list>.splide__slide.is-active,
.splide--fade>.splide__track>.splide__list>.splide__slide.is-active {
    text-align: center;
}

.splide--nav>.splide__slider>.splide__track>.splide__list>.splide__slide.is-active,
.splide--nav>.splide__track>.splide__list>.splide__slide.is-active {
    border: none !important;
}

.elementor-element .swiper .elementor-swiper-button,
.elementor-element .swiper~.elementor-swiper-button,
.elementor-lightbox .swiper .elementor-swiper-button,
.elementor-lightbox .swiper~.elementor-swiper-button {
    color: hsla(0, 0%, 93%, .9);
    cursor: pointer;
    display: inline-flex;
    font-size: 25px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}

.elementor-element .swiper .elementor-swiper-button svg,
.elementor-element .swiper~.elementor-swiper-button svg,
.elementor-lightbox .swiper .elementor-swiper-button svg,
.elementor-lightbox .swiper~.elementor-swiper-button svg {
    fill: hsla(0, 0%, 93%, .9);
    height: 1em;
    width: 1em;
}

.single-portfolio .elementor-widget-theme-post-content a {
    color: inherit;
    text-decoration: underline;
}

.testimonials-quote .swiper-slide  {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3C!--!Font Awesome Free 6.7.2 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2025 Fonticons, Inc.--%3E%3Cpath fill='%23f7f5de' d='M448 296c0 66.3-53.7 120-120 120l-8 0c-17.7 0-32-14.3-32-32s14.3-32 32-32l8 0c30.9 0 56-25.1 56-56l0-8-64 0c-35.3 0-64-28.7-64-64l0-64c0-35.3 28.7-64 64-64l64 0c35.3 0 64 28.7 64 64l0 32 0 32 0 72zm-256 0c0 66.3-53.7 120-120 120l-8 0c-17.7 0-32-14.3-32-32s14.3-32 32-32l8 0c30.9 0 56-25.1 56-56l0-8-64 0c-35.3 0-64-28.7-64-64l0-64c0-35.3 28.7-64 64-64l64 0c35.3 0 64 28.7 64 64l0 32 0 32 0 72z'/%3E%3C/svg%3E");
    background-size: 35%;
    background-repeat: no-repeat;
    background-position: 90% 96%;
}

.ti-header-grid.source-Google {
	width: fit-content;
	margin: 0 auto;
	cursor: pointer !important;
}

.ti-review-text-container.ti-review-content {
    color: #949494;
}

.count-box.count-line  .elementor-counter-number-wrapper {
    padding-bottom: 10px;
    border-bottom: 1px solid #DEDEDE;
}

@media screen and (min-width: 768px) {
    .single-portfolio #main-slider img {
        height: 450px;
    }
}

@media screen and (min-width: 992px) {
    .splide__arrows:not(.splide__arrows-top) .splide__arrow--prev {
        left: -2.65em !important;
        height: 100% !important;
    }

    .splide__arrows:not(.splide__arrows-top) .splide__arrow--next {
        right: -2.65em !important;
        height: 100% !important;
    }

    .single-portfolio #main-slider img {
        height: 600px;
    }
}

@media screen and (min-width: 1024px) {
    .single-portfolio #main-slider img {
        height: 700px;
    }
}

@media screen and (max-width: 767px) {
    a.btn.btn-banner {
        font-size: 16px;
        padding: 10px 20px;
        margin: 10px 5px;
    }
}
